version: "3.8"

services:
  lighttpd:
    build:
      context: .
      dockerfile: Dockerfile
    image: "${IMAGE_NAME}"
    container_name: ${NAME}
    hostname: ${NAME}
    labels:
      - "maintainer=${MAINTAINER}"
      - "description=${DESCRIPTION}"
      - "version=${VERSION}"
    volumes:
      - ${CONTENT_PATH}:/var/www/localhost/htdocs
    networks: 
      - main

networks:
  main:
    external: true